﻿# Install-Module -Name xWindowsUpdate -Force

Configuration EnableMSUpdate
{
    Import-DscResource -Module xWindowsUpdate

    Node localhost
    {
        xWindowsUpdateAgent EnableMSUpdate
        {
            IsSingleInstance = 'Yes'
            Category = @('Security','Important','Optional')
            Source = 'MicrosoftUpdate'
            Notifications = 'ScheduledInstallation'
            UpdateNow = $false
        }
    }
}
EnableMSUpdate

# Das "Sammelverzeichnis" für den Transfer zum Pull Server erzeugen
if ( -not (Test-Path -Path "$PSScriptRoot\PullSetup" )) { mkdir -Path "$PSScriptRoot\PullSetup" }

# jetzt haben wir ein Unterverzeichnis .\EnableMSUpdate mit einer Datei localhost.mof
# Diese soll auf dem Pull Server mit dem Namen der Konfiguration erscheinen.
# ==> Kopieren der .MOF-Datei in das "Sammelverzeichnis" PullSetup mit neuem Namen
Copy-Item .\EnableMSUpdate\localhost.mof .\PullSetup\EnableMSUpdate.mof -Force

# Jetzt noch die notwendigen DSC-Ressourcen ins Transfer-Verzeichnis kopieren
Copy-Item "$env:ProgramFiles\WindowsPowerShell\Modules\xWindowsUpdate" `
          "$PSScriptRoot\PullSetup" -Force -Recurse

