﻿Function New-NatSwitch (
    [Parameter(Mandatory)]
    [ValidateNotNullOrEmpty()]
    [String]$Name,
 
    [Parameter(Mandatory)]
    [ValidateNotNullOrEmpty()]
    [String]$InternalIPInterfaceAddressPrefix,
 
    [Int]$PrefixLength,
 
    [Parameter(Mandatory)]
    [ValidateNotNullOrEmpty()]
    [String]$GatewayIP
    )
{
    New-VMSwitch -Name $Name -SwitchType Internal
    # find InterfaceIndex of the network adapter for the newly created internal switch
    $ifindex = (Get-NetAdapter | where {$_.Name -match $Name}).ifIndex
    New-NetIPAddress -IPAddress $GatewayIP `
        -PrefixLength $PrefixLength -InterfaceIndex $ifindex
    New-NetNat -Name $Name `
        -InternalIPInterfaceAddressPrefix "$InternalIPInterfaceAddressPrefix/$PrefixLength"
}

New-NatSwitch -Name NatSwitch80 `
    -InternalIPInterfaceAddressPrefix 192.168.80.0 `
    -PrefixLength 24 -GatewayIP 192.168.80.1